Вопрос построить libav из GIT используя --enable- *


Мне нужно получить более новую версию libav-tools (содержащий avconv), чтобы получить AAC-кодер для повторной выборки входного 6-канального аудиопотока в выходной 2-канальный.

Я успешно построил пакет, но после этого я понял, что мне нужно ./configure --enable-libvo-aacenc получить avconvиспользовать AAC в качестве кодировщика. Вот что я пытаюсь сделать:

git clone git://git.libav.org/libav.git
sudo apt-get build-dep libav-tools
cd libav
./configure --enable-libvo-aacenc --enable-gpl --enable-nonfree --enable-version3
make
sudo make install

Но у меня есть это:

configure&make

Я не понимаю, что я здесь делаю неправильно ... Я не могу использовать библиотеки, установленные на моем Ubuntu.


2
2018-03-09 23:31


происхождения




ответы:


Вам необходимо установить библиотеку кодировщика VisualAn AAC (файлы разработки):

sudo apt-get install libvo-aacenc-dev

2
2018-03-10 13:53